package com.monkeycoder.monkeynes.gui;

import java.awt.*;
import javax.swing.*;

/**
 * This class provides some convenience GUI methods.
 * <br><br> 
 * Originally part of the MonkeyNES project.
 *
 * @author David Stephens
 */
public class GuiHelper
{
  /**
   * Creates a JPanel with a FlowLayout wrapped around the desired Component.
   * @param inComponent The component to wrap in a FlowLayout.
   * @return The new JPanel with nested Component.
   */
  public static JPanel flowWrapper( Component inComponent )
  {
    JPanel tempPanel = new JPanel( new FlowLayout() );
    tempPanel.add( inComponent );
    return tempPanel;    
  }
  
  /**
   * Creates a JPanel with a FlowLayout wrapped around the desired Component.
   * @param flowAlign The desired alignment for the containing FlowLayout.
   * @param inComponent The component to wrap in a FlowLayout.
   * @return The new JPanel with nested Component.   
   */
  public static JPanel flowWrapper( int flowAlign, Component inComponent )
  {
    JPanel tempPanel = new JPanel( new FlowLayout( flowAlign ) );
    tempPanel.add( inComponent );
    return tempPanel;    
  }
}