package com.monkeycoder.monkeynes.hardware;

/**
 * This is the graphics processor of the NES.  It manages everything 
 * graphics related all the way down to drawing pixels to the screen.
 * <br><br> 
 * Originally part of the MonkeyNES project.
 *
 * @author David Stephens
 */
public class NesPpu
{
  private NesVideoMemory vidMem  = null;

  /**
   * Creates a new NesPpu.
   * @param inVidMem Video memory bank accessed by this PPU.
   */  
  public NesPpu( NesVideoMemory inVidMem )
  {
    vidMem = inVidMem;
  }

  /**
   * Called to tell the PPU that power is now on.
   */  
  public void powerOn()
  {
  }

  /**
   * Called to tell the PPU that power is now off.
   */    
  public void powerOff()
  {
  }

  /**
   * Called to tell the PPU to do a cycle.  What this means depends entirely
   * on what state the PPU is in at the time.
   */  
  public void doCycle()
  {
  }
}